Course Analytics#
Lesson count, enrollments, completion rate, and enrollment rows. Requires view-knowledge-hub.
Authorizationstringheaderrequired
Bearer token in the format: Bearer {access_token}
idstringpathrequired
Base64 id from the matching list or builder. A raw numeric id is also accepted.
curl --request GET \
--url https://app.rizzdial.com/api/knowledge-hub/courses/MQ==/analytics \
--header 'Authorization: Bearer {{bearer_token}}'data.courseobject
Course with base64 id
data.total_lessonsinteger
Lessons across all categories
data.total_enrollmentsinteger
Course assignment rows
data.completed_enrollmentsinteger
Assignments with status completed
data.completion_ratenumber
Percent, 2 decimals. 0 when there are no enrollments
data.enrollmentsarray
Assignment rows with base64 id and nested user (id, name, email, profile_img)